summaryrefslogtreecommitdiff
path: root/libraries/gnustep-base
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/gnustep-base')
-rw-r--r--libraries/gnustep-base/README5
-rw-r--r--libraries/gnustep-base/gnustep-base.SlackBuild70
-rw-r--r--libraries/gnustep-base/gnustep-base.info8
-rw-r--r--libraries/gnustep-base/slack-desc19
4 files changed, 102 insertions, 0 deletions
diff --git a/libraries/gnustep-base/README b/libraries/gnustep-base/README
new file mode 100644
index 0000000000..da8449f056
--- /dev/null
+++ b/libraries/gnustep-base/README
@@ -0,0 +1,5 @@
+The gnustep-base library implements the FoundationKit
+part of the OpenStep specification and is equivalent to
+Apple's Foundation framework.
+
+Requires: gnustep-make (available from SlackBuilds.org)
diff --git a/libraries/gnustep-base/gnustep-base.SlackBuild b/libraries/gnustep-base/gnustep-base.SlackBuild
new file mode 100644
index 0000000000..77d2e8ba24
--- /dev/null
+++ b/libraries/gnustep-base/gnustep-base.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for GNUstep's Base library.
+
+# Written by Stefan Bidigaray
+
+PRGNAM=gnustep-base
+VERSION=1.18.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+export GNUSTEP_INSTALLATION_DOMAIN=SYSTEM
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCLAGS" \
+./configure \
+ --enable-procfs \
+ --enable-openssl \
+ --enable-xml \
+ --enable-libffi \
+ --enable-do \
+ --disable-ffcall \
+ --with-ffi-include=/usr/lib/gcc/i486-slackware-linux/4.2.4/include/libffi \
+ --with-ffi-library=/usr/lib
+make
+make install DESTDIR=$PKG
+unset GNUSTEP_INSTALLATION_DOMAIN
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING* README NEWS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cd $PKG
+/sbin/makepkg -c n -l y $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/gnustep-base/gnustep-base.info b/libraries/gnustep-base/gnustep-base.info
new file mode 100644
index 0000000000..26d2bad831
--- /dev/null
+++ b/libraries/gnustep-base/gnustep-base.info
@@ -0,0 +1,8 @@
+PRGNAM="gnustep-base"
+VERSION="1.18.0"
+HOMEPAGE="http://www.gnustep.org"
+DOWNLOAD="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-base-1.18.0.tar.gz"
+MD5SUM="880491e0fc64ab3507887f43faa67572"
+MAINTAINER="Stefan Bidigaray"
+EMAIL="teco.sb@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/gnustep-base/slack-desc b/libraries/gnustep-base/slack-desc
new file mode 100644
index 0000000000..ab09f9d5d7
--- /dev/null
+++ b/libraries/gnustep-base/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------|
+gnustep-base: gnustep-base (GNUstep Base library)
+gnustep-base:
+gnustep-base: GNUstep is a cross-platform, object-oriented framework for
+gnustep-base: desktop application development. It is based on the OPENSTEP
+gnustep-base: specification originally published by NeXT (now Apple).
+gnustep-base: The GNUstep Base library is the equivalent to Apple Cocoa's
+gnustep-base: Foundation framework. GNUstep-base also includes additional
+gnustep-base: classes prefixed by GS instead of NS.
+gnustep-base:
+gnustep-base: Homepage: http://www.gnustep.org
+gnustep-base: